Mojolicious::Command::cgi(3)

NAME
Mojolicious::Command::cgi - CGI command

SYNOPSIS
  Usage: APPLICATION cgi [OPTIONS]

    ./myapp.pl cgi

  Options:
    -h, --help          Show this summary of available options
        --home <path>   Path to home directory of your application, defaults to
                        the value of MOJO_HOME or auto-detection
    -m, --mode <name>   Operating mode for your application, defaults to the
                        value of MOJO_MODE/PLACK_ENV or "development"
        --nph           Enable non-parsed-header mode

DESCRIPTION
Mojolicious::Command::cgi starts applications with the Mojo::Server::CGI backend.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::cgi inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $cgi->description;
  $cgi            = $cgi->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $cgi->usage;
  $cgi      = $cgi->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::cgi inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $cgi->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.